import Row from "../types/Row";
import VisibleRow from "../types/VisibleRow";
export declare const getTotalRowCount: (flattenedRowsData: Array<{
    row: Row;
    depth: number;
    groupingKey?: string;
}>) => number;
export declare const getVisibleRows: ({ bufferRowCount, contentHeight, flattenedRowsData, rowHeight, scrollTop, }: {
    bufferRowCount: number;
    contentHeight: number;
    flattenedRowsData: Array<{
        row: Row;
        depth: number;
        groupingKey?: string;
    }>;
    rowHeight: number;
    scrollTop: number;
}) => VisibleRow[];
export declare const calculateSeparatorTopPosition: ({ position, rowHeight, }: {
    position: number;
    rowHeight: number;
}) => number;
export declare const calculateRowTopPosition: ({ position, rowHeight, }: {
    position: number;
    rowHeight: number;
}) => number;
