import HeaderObject from "../../types/HeaderObject";
import { RowId } from "../../types/RowId";
import VisibleRow from "../../types/VisibleRow";
import { Pinned } from "../../types/Pinned";
import RowIndices from "../../types/RowIndices";
import ColumnIndices from "../../types/ColumnIndices";
interface RenderCellsProps {
    columnIndexStart?: number;
    columnIndices: ColumnIndices;
    headers: HeaderObject[];
    hiddenColumns: Record<string, boolean>;
    isWidthDragging: boolean;
    onExpandRowClick: (rowId: RowId) => void;
    pinned?: Pinned;
    rowIndex: number;
    rowIndices: RowIndices;
    visibleRow: VisibleRow;
}
declare const RenderCells: ({ columnIndexStart, columnIndices, headers, hiddenColumns, isWidthDragging, onExpandRowClick, pinned, rowIndex, rowIndices, visibleRow, }: RenderCellsProps) => import("react/jsx-runtime").JSX.Element;
export default RenderCells;
