import { Dispatch, SetStateAction } from "react";
import Row from "../../types/Row";
import SortConfig from "../../types/SortConfig";
import VisibleRow from "../../types/VisibleRow";
interface TableContentLocalProps {
    flattenedRowsData: Array<{
        row: Row;
        depth: number;
        groupingKey?: string;
    }>;
    isWidthDragging: boolean;
    pinnedLeftWidth: number;
    pinnedRightWidth: number;
    setScrollTop: Dispatch<SetStateAction<number>>;
    sort: SortConfig | null;
    visibleRows: VisibleRow[];
}
declare const TableContent: ({ flattenedRowsData, isWidthDragging, pinnedLeftWidth, pinnedRightWidth, setScrollTop, sort, visibleRows, }: TableContentLocalProps) => import("react/jsx-runtime").JSX.Element;
export default TableContent;
