import { RowId } from "../../types/RowId";
import VisibleRow from "../../types/VisibleRow";
import { Pinned } from "../../types/Pinned";
import HeaderObject from "../../types/HeaderObject";
import ColumnIndices from "../../types/ColumnIndices";
import RowIndices from "../../types/RowIndices";
interface TableRowProps {
    columnIndexStart?: number;
    columnIndices: ColumnIndices;
    gridTemplateColumns: string;
    headers: HeaderObject[];
    hiddenColumns: Record<string, boolean>;
    hoveredIndex: number | null;
    index: number;
    isWidthDragging: boolean;
    onExpandRowClick: (rowId: RowId) => void;
    pinned?: Pinned;
    rowHeight: number;
    rowIndices: RowIndices;
    setHoveredIndex: (index: number | null) => void;
    visibleRow: VisibleRow;
}
declare const TableRow: ({ columnIndices, columnIndexStart, gridTemplateColumns, headers, hiddenColumns, hoveredIndex, index, isWidthDragging, onExpandRowClick, pinned, rowHeight, rowIndices, setHoveredIndex, visibleRow, }: TableRowProps) => import("react/jsx-runtime").JSX.Element;
export default TableRow;
