import { RefObject } from "react";
import VisibleRow from "../../types/VisibleRow";
import { RowId } from "../../types/RowId";
import { Pinned } from "../../types/Pinned";
import HeaderObject from "../../types/HeaderObject";
import ColumnIndices from "../../types/ColumnIndices";
import RowIndices from "../../types/RowIndices";
interface TableSectionProps {
    columnIndexStart?: number;
    columnIndices: ColumnIndices;
    headers: HeaderObject[];
    hiddenColumns: Record<string, boolean>;
    hoveredIndex: number | null;
    isWidthDragging: boolean;
    onExpandRowClick: (rowId: RowId) => void;
    pinned?: Pinned;
    ref?: RefObject<HTMLDivElement | null>;
    rowHeight: number;
    rowIndices: RowIndices;
    setHoveredIndex: (index: number | null) => void;
    templateColumns: string;
    totalHeight: number;
    visibleRows: VisibleRow[];
    width?: number;
}
declare const TableSection: ({ columnIndexStart, columnIndices, headers, hiddenColumns, hoveredIndex, isWidthDragging, onExpandRowClick, pinned, ref, rowHeight, rowIndices, setHoveredIndex, templateColumns, totalHeight, visibleRows, width, }: TableSectionProps) => import("react/jsx-runtime").JSX.Element;
export default TableSection;
