/// <reference types="react" />
import HeaderObject from "../types/HeaderObject";
import Cell from "../types/Cell";
import VisibleRow from "../types/VisibleRow";
export declare const createSetString: ({ rowIndex, colIndex, rowId }: Cell) => string;
declare const useSelection: ({ selectableCells, headers, visibleRows, rowIdAccessor, }: {
    selectableCells: boolean;
    headers: HeaderObject[];
    visibleRows: VisibleRow[];
    rowIdAccessor: string;
}) => {
    getBorderClass: ({ colIndex, rowIndex, rowId }: Cell) => string;
    handleMouseDown: ({ colIndex, rowIndex, rowId }: Cell) => void;
    handleMouseOver: ({ colIndex, rowIndex, rowId }: Cell) => void;
    handleMouseUp: () => void;
    isInitialFocusedCell: ({ rowIndex, colIndex, rowId }: Cell) => boolean;
    isSelected: ({ colIndex, rowIndex, rowId }: Cell) => boolean;
    lastSelectedColumnIndex: number | null;
    selectColumns: (columnIndices: number[], isShiftKey?: boolean) => void;
    selectedCells: Set<string>;
    selectedColumns: Set<number>;
    setInitialFocusedCell: import("react").Dispatch<import("react").SetStateAction<Cell | null>>;
    setSelectedCells: import("react").Dispatch<import("react").SetStateAction<Set<string>>>;
    setSelectedColumns: import("react").Dispatch<import("react").SetStateAction<Set<number>>>;
};
export default useSelection;
